Subject: Re: bug#74145: 31.0.50; Default lexical-binding to t

From: Richard Stallman <[email-masked]>
Date: Wed, 26 Feb 2025 21:20:25 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > No changes are installed.  None of the objections I've seen in this
  > bug-report were new and they've all been answered before, so I did not
  > reply because I have nothing new to say about it.

  > E.g. "why don't we start by warning when we load files
  > without the lexical-binding cookie?":

  >     https://lists.gnu.org/r/emacs-devel/2024-05/msg00250.html

  > I don't have any new answers to those questions.

Are you ok with our implementing that warning now?

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)